Vai al contenuto

# EVENTI_DET_RIS_TRG

## Informazioni

- Tabella: EVENTI_DET_RIS
- Evento: INSERT
- Tipo: BEFORE EACH ROW
- Stato: ENABLED

## Codice Sorgente

    TRIGGER "APOLLINARECATERINGPROD"."EVENTI_DET_RIS_TRG"
    BEFORE INSERT ON EVENTI_DET_RIS
    FOR EACH ROW

    DECLARE

        v_costo_orario          number;
        v_costo_prestazione     number;

    BEGIN
      <<COLUMN_SEQUENCES>>
      BEGIN
        IF INSERTING AND :NEW.ID IS NULL THEN
          SELECT EVENTI_DET_RIS_SEQ.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
        END IF;
      END COLUMN_SEQUENCES;

      /*
      --default su costo
      begin
      select nvl(costo_orario,0), nvl(costo_prestazione,0)
        into v_costo_orario,  v_costo_prestazione
        from risorse r
       where r.id = :NEW.ID_RISORSA;

      :NEW.COSTO := :NEW.ORE_LAV * v_costo_orario;

      exception when others
        then     RAISE_APPLICATION_ERROR(-20000, 'Errore: Inserimento costo risorsa');
      end;
      */

    END;